package com.heyu.api.data.service.impl.draw;

import com.heyu.api.data.entity.vv.VvPromoterTradeOrderAwardEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.AwardStatusEnums;
import com.heyu.api.data.service.impl.AbstractDrawAction;

public class RejectDrawAction extends AbstractDrawAction {

    @Override
    public ActionEnums getAction(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAwardEntity, boolean isApp) {

        if (
                AwardStatusEnums.arrive.getStatus().equals(vvPromoterTradeOrderAwardEntity.getStatus())
                        || AwardStatusEnums.apply_draw.getStatus().equals(vvPromoterTradeOrderAwardEntity.getStatus())
        ) {
            if (isApp) {
                return ActionEnums.Admin_Seller_Reject_Draw;
            }
        }
        return null;
    }
}
